Loading...
Searching...
No Matches
MockGenomeSequence Class Reference

## Public Member Functions

| MockGenomeSequence (std::string sequence)
char | operator[] (int index) const
char & | operator[] (int index)
int | getNumberBases () const

## Detailed Description

Definition at line 24 of file GreedyTupleAligner_test.cpp.

## Constructor & Destructor Documentation

## MockGenomeSequence()

MockGenomeSequence::MockGenomeSequence | ( | std::string | sequence | ) |

inline

Definition at line 26 of file GreedyTupleAligner_test.cpp.

:
sequence(sequence) {};

## Member Function Documentation

## getNumberBases()

int MockGenomeSequence::getNumberBases | ( |  | ) | const

inline

Definition at line 43 of file GreedyTupleAligner_test.cpp.

{
return sequence.size();
}

## operator[]() [1/2]

char & MockGenomeSequence::operator[] | ( | int | index | ) |

inline

Definition at line 35 of file GreedyTupleAligner_test.cpp.

{
if (index < 0 || index >= (int)sequence.size()) {
std::cerr << "exceeds boundary! at " << __FILE__ << ":" <<__LINE__ << std::endl;
return sequence[0];
}
return sequence[index];
}

## operator[]() [2/2]

char MockGenomeSequence::operator[] | ( | int | index | ) | const

inline

Definition at line 28 of file GreedyTupleAligner_test.cpp.

{
if (index < 0 || index >= (int)sequence.size()) {
std::cerr << "exceeds boundary! at " << __FILE__ << ":" <<__LINE__ << std::endl;
return 'N';
}
return sequence[index];
}

The documentation for this class was generated from the following file:

- general/test/GreedyTupleAligner_test.cpp